package com.ygtx.common.utils.getui;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 个推配置类
 *
 * @author ruoyi
 */
@Component
@ConfigurationProperties(prefix = "getui")
public class GetuiConfig {

    /** 个推AppId */
    private String appId;

    /** 个推AppKey */
    private String appKey;

    /** 个推AppSecret */
    private String appSecret;

    /** 个推MasterSecret */
    private String masterSecret;

    /** 个推PushUrl */
    private String pushUrl = "https://restapi.getui.com/v2/";

    /** 是否启用个推服务 */
    private boolean enabled = false;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getMasterSecret() {
        return masterSecret;
    }

    public void setMasterSecret(String masterSecret) {
        this.masterSecret = masterSecret;
    }

    public String getPushUrl() {
        return pushUrl;
    }

    public void setPushUrl(String pushUrl) {
        this.pushUrl = pushUrl;
    }

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }
}
